Skip to content

Merge Preview Endpoint

GET
/api/v1/payees/merge-preview
curl --request GET \
--url 'https://example.com/api/v1/payees/merge-preview?payee_ids=1'
payee_ids
required
Payee Ids
Array<integer>
>= 1 items <= 100 items

Successful Response

Media typeapplication/json
PayeeMergePreview

Transactions and planned transactions (trashed included) a merge of the given payees would repoint.

object
transaction_count
required
Transaction Count
integer
planned_transaction_count
required
Planned Transaction Count
integer

Example generated

{
"transaction_count": 1,
"planned_transaction_count": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}